
#include "sssd.h"
#include "internals.h"

/*
   Return the time of background playback (in seconds) or 0.0 if not playing
*/

float sssd_timeBackground( struct sssdaudio* ga )
{
    float retval = 0.0;

    if( audioValid( ga ) )
    {
        LOCK_BUFFERS_NP(ga);

        if (ga->background_stream != NULL) {
        	retval = (float)(ga->background_stream_bytes)/(float)(ga->freq*ga->byps);
        }

        UNLOCK_BUFFERS_NP(ga);
    }

    return( retval );
}


/*EOF*/
